Ticket #44145

ECHO and IF NOT vs. high-ASCII env var names

Open Date: 2022-03-19 06:15 Last Update: 2022-03-22 05:18

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

ECHO %äöü% doesn't work in SvarCOM 2022.3, because 'äöü' are not upcased. In MS-DOS 6.22 command.com it works.

Same for IF NOT \%äöü%==\ SET äöü=

For that, you may wish to refactor my commit 1134 to become a separate helper function.

Ticket History (3/4 Histories)

2022-03-19 06:15 Updated by: bttr
  • New Ticket "ECHO and IF NOT vs. high-ASCII env var names" created
2022-03-21 04:31 Updated by: mateuszviste
Comment

most probably fixed in rev 1139

2022-03-21 06:01 Updated by: bttr
Comment

Will also test this in the next days.

2022-03-22 05:18 Updated by: bttr
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

Works as expected. (I tried in SvarDOS and Windows XP NTVDM.)

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login